org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

## Class CircuitBreakerClientDefaultSuccessThreshold

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClientDefaultSuccessThreshold

All Implemented Interfaces:
  Serializable

    @RequestScoped
    public class CircuitBreakerClientDefaultSuccessThreshold
    extends Object
    implements Serializable

A client to exercise Circuit Breaker thresholds, with a default SuccessThreshold of 1, a requestVolumeThreshold of 4, failureRatio of 0.75 and a 1 second delay.

Author:
  Neil Young
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerClientDefaultSuccessThreshold()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCounterForInvokingServiceA()`
`Connection` `serviceA(int[] successSet)`
`void` `setCounterForInvokingServiceA(int count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerClientDefaultSuccessThreshold

    public CircuitBreakerClientDefaultSuccessThreshold()

### Method Detail

#### getCounterForInvokingServiceA

    public int getCounterForInvokingServiceA()

#### setCounterForInvokingServiceA

    public void setCounterForInvokingServiceA(int count)

#### serviceA

    @CircuitBreaker(successThreshold=1,
                    requestVolumeThreshold=4,
                    failureRatio=0.75,
                    delay=1000L)
    public Connection serviceA(int[] successSet)